/*
Theme Name: Beaver Builder Child Theme
Theme URI: https://www.wpbeaverbuilder.com
Version: 1.0
Description: An example child theme that can be used as a starting point for custom development.
Author: The Beaver Builder Team
Author URI: https://www.fastlinemedia.com
template: bb-theme
*/


:root {
    --color-primary: #012C57;
    --color-secondary: #B8A45E;
    --color-error: #D05353;

    
    --color-black: #000000;
    --color-grey-100: #F0EFED;
    --color-grey-400: #A6A5A2;
    --color-grey-600: #78797A;
    --color-white: #FFFFFF;

    --wpforms-field-border-radius: 0px !important;
}


#ff-mmenu {
    --mm-color-background: #012C57;
    --mm-color-border: rgb(255 255 255 / 0.25);
    --mm-color-icon: #FFFFFF;
    --mm-color-text: #FFFFFF;
    --mm-color-text-dimmed: #FFFFFF;
    --mm-color-background-highlight: rgb(0 0 0 / 0.05); 
    --mm-color-background-emphasis: #A6A5A2; 
    --mm-color-focusring: #FFFFFF;
    
    
    
    .menu-item {
        &:hover,
        &:focus {
            .mm-listitem__text {
                background: var(--color-grey-100);
                color: var(--color-primary);
            }
    
            .mm-listitem__btn {
                background: var(--color-grey-100);
                color: var(--color-primary);

                &::after {
                    color: currentColor;
                    border-color: currentColor;
                }
            }
        }
    }
    
    .current_page_item {
        .mm-listitem__text {
            background: var(--color-secondary);
        }
    
        .mm-listitem__btn {
            background: var(--color-secondary);
        }
    }
}



h1, .h1, h2, .h2, h3, .h3 {
    margin-top: 0;
}

h1, .h1 {
    margin-bottom: 16px;
}

h2, .h2 {
    margin-bottom: 16px;
}

picture.fl-photo-img {
    display: inline-block;
}


.separator-arrangements {
    svg {
        width: auto !important;
        left: 20px !important;
    }
}


#menu-hauptmenue {
    width: 100%;
    justify-content: space-between;

    &::before,
    &::after {
        content: none;
    }
}

#mm-menu-btn {
    .fl-button {
        .fl-button-icon {
            margin-right: 0;
        }
        .fl-button-text {
            position: absolute;
            width: 1px;
            height: 1px;
            padding: 0;
            margin: -1px;
            overflow: hidden;
            clip: rect(0, 0, 0, 0);
            white-space: nowrap;
            border-width: 0;
        }
    }
}


.rank-math-breadcrumb {
    a {
        color: var(--color-grey-600);
        text-decoration: none;

        &:hover,
        &:focus {
            color: var(--color-primary);
            text-decoration: underline;
        }
    }

    .separator {
        color: var(--color-grey-600);
    }

    .last {
        color: var(--color-primary);
    }
}


.pp-button.badge-btn {
    height: 200px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
}


.pp-photo-gallery-content {
    overflow: unset !important;
    a {
        &:focus {
            outline: 3px solid black;
            outline-offset: 0px;
        }
    }
}

#quick-check-banner {
    min-height: 370px;
}


/* Formular */


.wpforms-widget {
    input,
    textarea,
    select {
        padding-top: 14px !important;
        padding-bottom: 14px !important;
        height: auto !important;

        &:hover,
        &:focus {
            border-color: var(--color-primary) !important;
            box-shadow: 0 0 0 1px var(--color-primary), 0px 1px 2px rgba(0, 0, 0, 0.15) !important;
        }
    }

    textarea {
        min-height: 150px !important;
    }


    .wpforms-submit.form-send-btn {
        padding-top: 10px;
        padding-right: 24px;
        padding-bottom: 10px;
        padding-left: 24px;
        line-height: 1.65;
        height: auto;
        margin-top: 20px;

        &:hover,
        &:focus {
            background: var(--color-white);
        }
    }
}

footer {
    a[href^="mailto:"],
    a[href^="tel:"] {
        text-decoration: none;
    }
}




@media (max-width: 768px) {

    .pp-button.badge-btn {
        height: 160px;
    }
}


@media (min-width: 530px) {
    #quick-check-banner {
        min-height: 300px;
    }
}

@media (min-width: 700px) {
    #quick-check-banner {
        min-height: 220px;
    }
}

@media (min-width: 768px) {
    h1, .h1 {
        margin-bottom: 24px;
    }
}

@media (min-width: 1100px) {
    #quick-check-banner {
        min-height: 160px;
    }
}



@media (prefers-reduced-motion: reduce) {
  .fl-animated {
    animation: none !important;
  }
}